# Generated by Django 4.2.19 on 2025-02-11 11:13

from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("activate_account", "0006_accountidentifier_remove_account_unique_account_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="Lockout",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                ("identity_key", models.CharField(max_length=100)),
                ("date_of_birth", models.DateField()),
                ("attempts", models.PositiveIntegerField(default=0)),
                ("lockout_until", models.DateTimeField(blank=True, null=True)),
            ],
        ),
        migrations.AddConstraint(
            model_name="lockout",
            constraint=models.UniqueConstraint(
                fields=("identity_key", "date_of_birth"), name="unique_lockout"
            ),
        ),
    ]
